Bug 90094 - gnome-network-preferences does not set gconf-http_proxy-key
Summary: gnome-network-preferences does not set gconf-http_proxy-key
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-center   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-02 13:13 UTC by Fabian Deutsch
Modified: 2013-04-02 04:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 12:53:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fabian Deutsch 2003-05-02 13:13:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.2.1) Gecko/20030225

Description of problem:
When I changed the GNOME Proxy-settings it was simply ignored.
The gnome-network-preferences dialog doesn't change the value of the
/system/http_proxy/use_http_proxy.

Version-Release number of selected component (if applicable):
control-center-2.2.0.1-9

How reproducible:
Always

Steps to Reproduce:
1. Open GNOME Netork Proxy (gnome-network-preferences)
2. Choose "Manual Proxy Configuration"
3. Enter your Proxyserver IP and port and close the dialog.
4. Look at the gconf-key /system/http_proxy/use_http_proxy or test it: Open
nautilus and enter http://www.gnome.org, nothing happens.
    

Actual Results:  Nothing happens.

Expected Results:  Nautilus would show me the html-code of www.gnome.org/index.htm

Additional info:

To activate the proxy just type "gconftool-2 --set
/system/http_proxy/use_http_proxy --type=bool [true|false]" on the console.

Comment 1 Marco Pesenti Gritti 2004-10-21 12:02:44 UTC
Works fine for me on rawhide. If I keep gconf-editor open I can see
the box to be checked/unchecked when I switch None/Manual in
gnome-network-preferences.

Could you try with a more recent version please ?

Comment 2 Fabian Deutsch 2004-10-21 12:53:57 UTC
True, is working now.


Note You need to log in before you can comment on or make changes to this bug.